### Enumeration

# GtkLicense

#### Declaration

    enum Gtk.License

#### Description [src]

The type of license for an application.

This enumeration can be expanded at later date.

#### Members

`GTK_LICENSE_UNKNOWN`

  No license specified.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 4.0
`GTK_LICENSE_CUSTOM`

  A license text is going to be specified by the developer.

  - Value: `1`
  - Nickname: `custom`
  - Available since: 4.0
`GTK_LICENSE_GPL_2_0`

  The GNU General Public License, version 2.0 or later.

  - Value: `2`
  - Nickname: `gpl-2-0`
  - Available since: 4.0
`GTK_LICENSE_GPL_3_0`

  The GNU General Public License, version 3.0 or later.

  - Value: `3`
  - Nickname: `gpl-3-0`
  - Available since: 4.0
`GTK_LICENSE_LGPL_2_1`

  The GNU Lesser General Public License, version 2.1 or later.

  - Value: `4`
  - Nickname: `lgpl-2-1`
  - Available since: 4.0
`GTK_LICENSE_LGPL_3_0`

  The GNU Lesser General Public License, version 3.0 or later.

  - Value: `5`
  - Nickname: `lgpl-3-0`
  - Available since: 4.0
`GTK_LICENSE_BSD`

  The BSD standard license.

  - Value: `6`
  - Nickname: `bsd`
  - Available since: 4.0
`GTK_LICENSE_MIT_X11`

  The MIT/X11 standard license.

  - Value: `7`
  - Nickname: `mit-x11`
  - Available since: 4.0
`GTK_LICENSE_ARTISTIC`

  The Artistic License, version 2.0

  - Value: `8`
  - Nickname: `artistic`
  - Available since: 4.0
`GTK_LICENSE_GPL_2_0_ONLY`

  The GNU General Public License, version 2.0 only.

  - Value: `9`
  - Nickname: `gpl-2-0-only`
  - Available since: 4.0
`GTK_LICENSE_GPL_3_0_ONLY`

  The GNU General Public License, version 3.0 only.

  - Value: `10`
  - Nickname: `gpl-3-0-only`
  - Available since: 4.0
`GTK_LICENSE_LGPL_2_1_ONLY`

  The GNU Lesser General Public License, version 2.1 only.

  - Value: `11`
  - Nickname: `lgpl-2-1-only`
  - Available since: 4.0
`GTK_LICENSE_LGPL_3_0_ONLY`

  The GNU Lesser General Public License, version 3.0 only.

  - Value: `12`
  - Nickname: `lgpl-3-0-only`
  - Available since: 4.0
`GTK_LICENSE_AGPL_3_0`

  The GNU Affero General Public License, version 3.0 or later.

  - Value: `13`
  - Nickname: `agpl-3-0`
  - Available since: 4.0
`GTK_LICENSE_AGPL_3_0_ONLY`

  The GNU Affero General Public License, version 3.0 only.

  - Value: `14`
  - Nickname: `agpl-3-0-only`
  - Available since: 4.0
`GTK_LICENSE_BSD_3`

  The 3-clause BSD licence.

  - Value: `15`
  - Nickname: `bsd-3`
  - Available since: 4.0
`GTK_LICENSE_APACHE_2_0`

  The Apache License, version 2.0

  - Value: `16`
  - Nickname: `apache-2-0`
  - Available since: 4.0
`GTK_LICENSE_MPL_2_0`

  The Mozilla Public License, version 2.0

  - Value: `17`
  - Nickname: `mpl-2-0`
  - Available since: 4.0
`GTK_LICENSE_0BSD`

  Zero-Clause BSD license.

  - Value: `18`
  - Nickname: `0bsd`
  - Available since: 4.0